Page MenuHomePhabricator

Add dedicated "remove" controls to the "Add Statement" input
Closed, ResolvedPublic

Description

With the Other Statements feature enabled, the user can now click an "Add Statement" button to add another statement panel to the page. Once they do this, an input widget appears so that they can choose the property of this new statement panel.

There currently is no obvious way to remove this input (aside from actually making a selection) if the user changes their mind. Adding something to the right or below the input element which allows the user to remove would be good UX.

Related Objects

Event Timeline

egardner created this task.May 28 2019, 4:25 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMay 28 2019, 4:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hey @egardner I made a ticket last week that relates to this or either takes care of it: T224249

I think Eric is referring to the input field for selecting a new property, like this:

Thanks for the visual, @matthiasmullie

A trash can should do it - it can be visible/usable until a statement is added, and then the Remove all will take care of the rest. Thanks, Eric!

Cparle claimed this task.Jun 13 2019, 10:57 AM
Cparle moved this task from To Do to Blocked on the Structured-Data-Team-Current-Work board.
Cparle moved this task from Blocked to Doing on the Structured-Data-Team-Current-Work board.

Change 517048 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Add 'remove' button to AddPropertyWidget

https://gerrit.wikimedia.org/r/517048

Change 517049 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/UploadWizard@master] Remove styling for AddPropertyWidget

https://gerrit.wikimedia.org/r/517049

Change 517049 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Remove styling for AddPropertyWidget

https://gerrit.wikimedia.org/r/517049

Change 517048 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add 'remove' button to AddPropertyWidget

https://gerrit.wikimedia.org/r/517048

Ramsey-WMF closed this task as Resolved.Jul 31 2019, 9:08 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Verified on production that it exists for File Page and UploadWizard. On each, there is a trash can icon to remove the newly added element. We may revisit this as part of the UI consolidation effort later.